Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006134opensim[REGION] Physics Enginespublic2012-08-08 05:582014-07-29 13:41
Reporterzadark 
Assigned ToRobert Adams 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformXen hosted VMOSUbuntoOS Version12.04-server-x64
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006134: Jumping linked prims
DescriptionLinked prims jump around when physical enabled.
Steps To ReproduceLink more than 2 cubes aligned end to end.
TagsNo tags attached.
Git Revision or version number19417fca41e59e931193ee99d3e4a12092488f1f
Run ModeStandalone (1 Region)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono Version2.10
ViewerSL V3.3.4
Attached Files? file icon bulletsimevaluation01 [^] (85,584 bytes) 2012-08-08 08:59 [Show Content]

- Relationships

-  Notes
(0021988)
SignpostMarv (reporter)
2012-08-08 06:01

Can't quite replicate this issue. Can you upload an exported linkset, or even better an OAR that you're experiencing this issue with ?
(0021989)
zadark (reporter)
2012-08-08 06:04

Are you using BulletSim?
(0021990)
SignpostMarv (reporter)
2012-08-08 06:17

yup, I get a split-second of jiggling and then it settles- can't quite tell from the brief bug description, but I'm hazarding a guess you mean it continuously jiggles or jiggles a disproportionate amount before settling ?
(0021991)
zadark (reporter)
2012-08-08 06:19

And more than 2 cubes, that is 3++?
(0021992)
SignpostMarv (reporter)
2012-08-08 06:20

4 cubes. This is why I'm requesting an exported linkset or OAR to test with so I can more accurately replicate the conditions you're describing.
(0021995)
Robert Adams (administrator)
2012-08-08 08:37

I can duplicate this problem. Something is unstable with the way I'm using Bullet constraints.
(0022019)
zadark (reporter)
2012-08-11 01:21

As of OpenSim 0.7.4 Dev 3ecd390 physical enabled linksets appear stable. Note however avatar jumps/jiggles on land levels less than 25m.
(0022095)
zadark (reporter)
2012-08-15 17:21
edited on: 2012-08-15 17:31

commit ae5db637f29d
behaviour has changed. On arrival the avatar sinks below the ground. The viewer image is unstable while the avatar sinks. To recover the avatar: enable fly and hold page up until the avatar appears above the ground. The avatar must remain in fly mode else it will again sink into the ground.
The test island highest point is 36 m, at which the avatar still sinks into the ground. There is however a platform at 1000m, where the avatar is stable.

(0022728)
Robert Adams (administrator)
2012-09-28 14:01

The latest update to BulletSim (9/28/2012) resolved the jiggling linked prims (although you can still cause it to happen by linking multiple physical objects that are several meters apart) and the avatar sinking below ground.

Avatar standing is still a bit jumpy on uneven surfaces. If this remains a problem, a new mantis entry should be created.

- Issue History
Date Modified Username Field Change
2012-08-08 05:58 zadark New Issue
2012-08-08 06:01 SignpostMarv Note Added: 0021988
2012-08-08 06:04 zadark Note Added: 0021989
2012-08-08 06:17 SignpostMarv Note Added: 0021990
2012-08-08 06:19 zadark Note Added: 0021991
2012-08-08 06:20 SignpostMarv Note Added: 0021992
2012-08-08 08:37 Robert Adams Note Added: 0021995
2012-08-08 08:37 Robert Adams Assigned To => Robert Adams
2012-08-08 08:37 Robert Adams Status new => acknowledged
2012-08-08 08:59 zadark File Added: bulletsimevaluation01
2012-08-11 01:21 zadark Note Added: 0022019
2012-08-15 17:21 zadark Note Added: 0022095
2012-08-15 17:31 zadark Note Edited: 0022095 View Revisions
2012-08-18 04:32 DMX04 Issue cloned: 0006194
2012-09-28 14:01 Robert Adams Note Added: 0022728
2012-09-28 14:01 Robert Adams Status acknowledged => resolved
2012-09-28 14:01 Robert Adams Fixed in Version => master (dev code)
2012-09-28 14:01 Robert Adams Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker